# Uses of Class
javax.swing.JList

Packages that use JList
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.

## Uses of JList in javax.swing

Methods in javax.swing with parameters of type JList
Modifier and Type
Method
Description
`Component`
DefaultListCellRenderer.`getListCellRendererComponent(JList<?> list, Object value, int index, boolean isSelected, boolean cellHasFocus)`
`Component`
ListCellRenderer.`getListCellRendererComponent(JList<? extends E> list, E value, int index, boolean isSelected, boolean cellHasFocus)`
Return a component that has been configured to display the specified value.
Constructors in javax.swing with parameters of type JList
Modifier
Constructor
Description
``
`AccessibleJListChild(JList<E> parent, int indexInParent)`
Constructs an `AccessibleJListChild`.

## Uses of JList in javax.swing.plaf

Methods in javax.swing.plaf with parameters of type JList
Modifier and Type
Method
Description
`abstract Rectangle`
ListUI.`getCellBounds(JList<?> list, int index1, int index2)`
Returns the bounding rectangle, in the given list's coordinate system, for the range of cells specified by the two indices.
`abstract Point`
ListUI.`indexToLocation(JList<?> list, int index)`
Returns the origin in the given `JList`, of the specified item, in the list's coordinate system.
`abstract int`
ListUI.`locationToIndex(JList<?> list, Point location)`
Returns the cell index in the specified `JList` closest to the given location in the list's coordinate system.

## Uses of JList in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JList
Modifier and Type
Field
Description
`protected JList<Object>`
BasicComboPopup.`list`
This protected field is implementation specific.
`protected JList<Object>`
BasicListUI.`list`
The instance of `JList`.
`protected JList<Object>`
BasicComboBoxUI.`listBox`
This list is for drawing the current item in the combo box.
Methods in javax.swing.plaf.basic that return JList
Modifier and Type
Method
Description
`protected JList<Object>`
BasicComboPopup.`createList()`
Creates the JList used in the popup to display the items in the combo box model.
`JList<Object>`
BasicComboPopup.`getList()`
Implementation of ComboPopup.getList().
`JList<Object>`
ComboPopup.`getList()`
Returns the list that is being used to draw the items in the combo box.
Methods in javax.swing.plaf.basic with parameters of type JList
Modifier and Type
Method
Description
`protected MouseListener`
BasicFileChooserUI.`createDoubleClickListener(JFileChooser fc, JList<?> list)`
Creates a double click listener.
`Rectangle`
BasicListUI.`getCellBounds(JList<?> list, int index1, int index2)`
Returns the bounding rectangle, in the given list's coordinate system, for the range of cells specified by the two indices.
`Component`
BasicComboBoxRenderer.`getListCellRendererComponent(JList<?> list, Object value, int index, boolean isSelected, boolean cellHasFocus)`
`Point`
BasicListUI.`indexToLocation(JList<?> list, int index)`
Returns the origin in the given `JList`, of the specified item, in the list's coordinate system.
`int`
BasicListUI.`locationToIndex(JList<?> list, Point location)`
Returns the cell index in the specified `JList` closest to the given location in the list's coordinate system.
Constructors in javax.swing.plaf.basic with parameters of type JList
Modifier
Constructor
Description
``
`DoubleClickListener(JList<?> list)`
Constucts a `DoubleClickListener`.

## Uses of JList in javax.swing.plaf.metal

Fields in javax.swing.plaf.metal declared as JList
Modifier and Type
Field
Description
`protected JList<Object>`
MetalComboBoxButton.`listBox`
The instance of `JList`.
Constructors in javax.swing.plaf.metal with parameters of type JList
Modifier
Constructor
Description
``
`MetalComboBoxButton(JComboBox<Object> cb, Icon i, boolean onlyIcon, CellRendererPane pane, JList<Object> list)`
Constructs a new instance of `MetalComboBoxButton`.
``
`MetalComboBoxButton(JComboBox<Object> cb, Icon i, CellRendererPane pane, JList<Object> list)`
Constructs a new instance of `MetalComboBoxButton`.
``
`SingleClickListener(JList<?> list)`
Deprecated.
Constructs an instance of `SingleClickListener`.

## Uses of JList in javax.swing.plaf.multi

Methods in javax.swing.plaf.multi with parameters of type JList
Modifier and Type
Method
Description
`Rectangle`
MultiListUI.`getCellBounds(JList<?> a, int b, int c)`
Invokes the `getCellBounds` method on each UI handled by this object.
`Point`
MultiListUI.`indexToLocation(JList<?> a, int b)`
Invokes the `indexToLocation` method on each UI handled by this object.
`int`
MultiListUI.`locationToIndex(JList<?> a, Point b)`
Invokes the `locationToIndex` method on each UI handled by this object.